<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('ldap_guid')->nullable()->unique()->after('id');
            $table->string('ldap_domain')->nullable()->after('ldap_guid');
            $table->string('username')->nullable()->unique()->after('ldap_domain');
            $table->string('phone')->nullable()->after('email');
            $table->string('department')->nullable()->after('phone');
            $table->string('title')->nullable()->after('department');
            $table->string('password')->nullable()->change();
        });
    }

    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn(['ldap_guid', 'ldap_domain', 'username', 'phone', 'department', 'title']);
        });
    }
};
